<?php


return  
    [
        'model' => [
            'model' => \Litematrimony\Profile\Models\Profile::class,
            'table' => 'litematrimony_profile_profiles',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['reporting_to',  'name',  'email',  'password',  'api_token',  'remember_token',  'sex',  'dob',  'designation',  'mobile',  'phone',  'address',  'street',  'city',  'district',  'state',  'country',  'photo',  'web',  'permissions',  'status',  'email_verified_at',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'profile/profile',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            "name" => [
                "key" => "name", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'profile::profile.label.name', 
                "placeholder" => 'profile::profile.placeholder.name', 
            ],
            "email" => [
                "key" => "email", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'profile::profile.label.email', 
                "placeholder" => 'profile::profile.placeholder.email', 
            ],
            "sex" => [
                "key" => "sex", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'profile::profile.label.sex', 
                "placeholder" => 'profile::profile.placeholder.sex', 
            ],
            "dob" => [
                "key" => "dob", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'profile::profile.label.dob', 
                "placeholder" => 'profile::profile.placeholder.dob', 
            ],
            "phone" => [
                "key" => "phone", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'profile::profile.label.phone', 
                "placeholder" => 'profile::profile.placeholder.phone', 
            ],
        ],

        'list' => [
            [
                "key" => "reporting_to", 
                "type" => "text", 
                "label" => 'profile::profile.label.reporting_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'profile::profile.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'profile::profile.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "password", 
                "type" => "text", 
                "label" => 'profile::profile.label.password', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "api_token", 
                "type" => "text", 
                "label" => 'profile::profile.label.api_token', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remember_token", 
                "type" => "text", 
                "label" => 'profile::profile.label.remember_token', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sex", 
                "type" => "text", 
                "label" => 'profile::profile.label.sex', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "dob", 
                "type" => "text", 
                "label" => 'profile::profile.label.dob', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "designation", 
                "type" => "text", 
                "label" => 'profile::profile.label.designation', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'profile::profile.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "phone", 
                "type" => "text", 
                "label" => 'profile::profile.label.phone', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "address", 
                "type" => "text", 
                "label" => 'profile::profile.label.address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "street", 
                "type" => "text", 
                "label" => 'profile::profile.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "city", 
                "type" => "text", 
                "label" => 'profile::profile.label.city', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "district", 
                "type" => "text", 
                "label" => 'profile::profile.label.district', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state", 
                "type" => "text", 
                "label" => 'profile::profile.label.state', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country", 
                "type" => "text", 
                "label" => 'profile::profile.label.country', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photo", 
                "type" => "text", 
                "label" => 'profile::profile.label.photo', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "web", 
                "type" => "text", 
                "label" => 'profile::profile.label.web', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email_verified_at", 
                "type" => "text", 
                "label" => 'profile::profile.label.email_verified_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'reporting_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::profile.label.reporting_to',
                "placeholder" => 'profile::profile.placeholder.reporting_to',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.name',
                "placeholder" => 'profile::profile.placeholder.name',
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.email',
                "placeholder" => 'profile::profile.placeholder.email',
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'password',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.password',
                "placeholder" => 'profile::profile.placeholder.password',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'api_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.api_token',
                "placeholder" => 'profile::profile.placeholder.api_token',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remember_token',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.remember_token',
                "placeholder" => 'profile::profile.placeholder.remember_token',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sex',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'profile::profile.label.sex',
                "placeholder" => 'profile::profile.placeholder.sex',
                "required" => 'true',
                "options" => function(){
                    return trans('profile::profile.options.sex');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'dob',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'profile::profile.label.dob',
                "placeholder" => 'profile::profile.placeholder.dob',
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'designation',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.designation',
                "placeholder" => 'profile::profile.placeholder.designation',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.mobile',
                "placeholder" => 'profile::profile.placeholder.mobile',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'phone',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.phone',
                "placeholder" => 'profile::profile.placeholder.phone',
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.address',
                "placeholder" => 'profile::profile.placeholder.address',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'street',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.street',
                "placeholder" => 'profile::profile.placeholder.street',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'city',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.city',
                "placeholder" => 'profile::profile.placeholder.city',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'district',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.district',
                "placeholder" => 'profile::profile.placeholder.district',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.state',
                "placeholder" => 'profile::profile.placeholder.state',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::profile.label.country',
                "placeholder" => 'profile::profile.placeholder.country',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photo',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.photo',
                "placeholder" => 'profile::profile.placeholder.photo',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'web',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::profile.label.web',
                "placeholder" => 'profile::profile.placeholder.web',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'permissions',
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => 'profile::profile.label.permissions',
                "placeholder" => 'profile::profile.placeholder.permissions',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email_verified_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'profile::profile.label.email_verified_at',
                "placeholder" => 'profile::profile.placeholder.email_verified_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'profile/profile/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'profile/profile/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'profile/profile',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'profile/profile',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'profile/profile',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'profile/profile',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'profile::profile.label.created_at',
            'name' => 'profile::profile.label.name',
            'status' => 'profile::profile.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "profile::profile.groups.main",
                'key' => "main",
                'title' => "profile::profile.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "profile::profile.groups.details",
                'key' => "documents",
                'title' => "profile::profile.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "profile::profile.groups.images",
                'key' => "documents",
                'title' => "profile::profile.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "profile::profile.groups.settings",
                'key' => "documents",
                'title' => "profile::profile.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Profile',
            'module' => 'Profile',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'profile::profile.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['profile.profile.copy', 'profile.profile.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'profile::profile.label.count',
                        "placeholder" => 'profile::profile.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'profile::profile.label.comment',
                        "placeholder" => 'profile::profile.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'profile::profile.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
