<?php


return  
    [
        'model' => [
            'model' => \Litematrimony\Profile\Models\Request::class,
            'table' => 'litematrimony_profile_requests',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['req_by',  'req_to',  'status',  'req_date'],
            'translatables' => [],
            'upload_folder' => 'profile/request',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "req_by", 
                "type" => "text", 
                "label" => 'profile::request.label.req_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "req_to", 
                "type" => "text", 
                "label" => 'profile::request.label.req_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "req_date", 
                "type" => "text", 
                "label" => 'profile::request.label.req_date', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'req_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::request.label.req_by',
                "placeholder" => 'profile::request.placeholder.req_by',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'req_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::request.label.req_to',
                "placeholder" => 'profile::request.placeholder.req_to',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'req_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'profile::request.label.req_date',
                "placeholder" => 'profile::request.placeholder.req_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'profile/request/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'profile/request/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'profile/request',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'profile/request',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'profile/request',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'profile/request',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'profile::request.label.created_at',
            'name' => 'profile::request.label.name',
            'status' => 'profile::request.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "profile::request.groups.main",
                'key' => "main",
                'title' => "profile::request.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "profile::request.groups.details",
                'key' => "documents",
                'title' => "profile::request.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "profile::request.groups.images",
                'key' => "documents",
                'title' => "profile::request.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "profile::request.groups.settings",
                'key' => "documents",
                'title' => "profile::request.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Profile',
            'module' => 'Request',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'profile::request.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['profile.request.copy', 'profile.request.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'profile::request.label.count',
                        "placeholder" => 'profile::request.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'profile::request.label.comment',
                        "placeholder" => 'profile::request.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'profile::request.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
