<?php


return  
    [
        'model' => [
            'model' => \Litematrimony\Profile\Models\Visit::class,
            'table' => 'litematrimony_profile_visits',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['visit_by',  'visit_to',  'visit_type',  'visit_date'],
            'translatables' => [],
            'upload_folder' => 'profile/visit',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "visit_by", 
                "type" => "text", 
                "label" => 'profile::visit.label.visit_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "visit_to", 
                "type" => "text", 
                "label" => 'profile::visit.label.visit_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "visit_type", 
                "type" => "text", 
                "label" => 'profile::visit.label.visit_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "visit_date", 
                "type" => "text", 
                "label" => 'profile::visit.label.visit_date', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'visit_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::visit.label.visit_by',
                "placeholder" => 'profile::visit.placeholder.visit_by',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'visit_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'profile::visit.label.visit_to',
                "placeholder" => 'profile::visit.placeholder.visit_to',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'visit_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'profile::visit.label.visit_type',
                "placeholder" => 'profile::visit.placeholder.visit_type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'visit_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'profile::visit.label.visit_date',
                "placeholder" => 'profile::visit.placeholder.visit_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'profile/visit/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'profile/visit/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'profile/visit',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'profile/visit',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'profile/visit',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'profile/visit',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'profile::visit.label.created_at',
            'name' => 'profile::visit.label.name',
            'status' => 'profile::visit.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "profile::visit.groups.main",
                'key' => "main",
                'title' => "profile::visit.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "profile::visit.groups.details",
                'key' => "documents",
                'title' => "profile::visit.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "profile::visit.groups.images",
                'key' => "documents",
                'title' => "profile::visit.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "profile::visit.groups.settings",
                'key' => "documents",
                'title' => "profile::visit.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Profile',
            'module' => 'Visit',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'profile::visit.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['profile.visit.copy', 'profile.visit.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'profile::visit.label.count',
                        "placeholder" => 'profile::visit.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'profile::visit.label.comment',
                        "placeholder" => 'profile::visit.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'profile::visit.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
