<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for profile in profile package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  profile module in profile package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Profile',
    'names' => 'Profiles',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Profiles',
        'sub' => 'Profiles'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'sex' => 
            [
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
                [
                    'key'    => 'Male',
                    'value'  => 'Male',
                    'text'   => 'Male',
                ],
                                
                [
                    'key'    => 'Female',
                    'value'  => 'Female',
                    'text'   => 'Female',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Active',
                    'value'  => 'Active',
                    'text'   => 'Active',
                ],
                                
                [
                    'key'    => 'Suspended',
                    'value'  => 'Suspended',
                    'text'   => 'Suspended',
                ],
                                
                [
                    'key'    => 'Locked',
                    'value'  => 'Locked',
                    'text'   => 'Locked',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'reporting_to'               => 'Please enter reporting to',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'api_token'                  => 'Please enter api token',
        'remember_token'             => 'Please enter remember token',
        'sex'                        => 'Please select sex',
        'dob'                        => 'Please select dob',
        'designation'                => 'Please enter designation',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'address'                    => 'Please enter address',
        'street'                     => 'Please enter street',
        'city'                       => 'Please enter city',
        'district'                   => 'Please enter district',
        'state'                      => 'Please enter state',
        'country'                    => 'Please enter country',
        'photo'                      => 'Please enter photo',
        'web'                        => 'Please enter web',
        'permissions'                => 'Please enter permissions',
        'status'                     => 'Please select status',
        'email_verified_at'          => 'Please select email verified at',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'reporting_to'               => 'Reporting to',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'api_token'                  => 'Api token',
        'remember_token'             => 'Remember token',
        'sex'                        => 'Sex',
        'dob'                        => 'Dob',
        'designation'                => 'Designation',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'address'                    => 'Address',
        'street'                     => 'Street',
        'city'                       => 'City',
        'district'                   => 'District',
        'state'                      => 'State',
        'country'                    => 'Country',
        'photo'                      => 'Photo',
        'web'                        => 'Web',
        'permissions'                => 'Permissions',
        'status'                     => 'Status',
        'email_verified_at'          => 'Email verified at',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
