<?php

// Routes for profile.

// Guard routes for profile
Route::prefix('{guard}/profile')->group(function () {

    Route::post('profile/exim/{exim}', 'ProfileEximController');
    Route::patch('profile/actions/{action}', 'ProfileActionsController');
    Route::patch('profile/action/{profile}/{action}', 'ProfileActionController');
    Route::resource('profile', 'ProfileResourceController');
});

// Guard routes for visit
Route::prefix('{guard}/profile')->group(function () {

    Route::patch('visit/actions/{action}', 'VisitActionsController');
    Route::patch('visit/action/{visit}/{action}', 'VisitActionController');
    Route::resource('visit', 'VisitResourceController');
});

// Guard routes for shortlist
Route::prefix('{guard}/profile')->group(function () {

    Route::patch('shortlist/actions/{action}', 'ShortlistActionsController');
    Route::patch('shortlist/action/{shortlist}/{action}', 'ShortlistActionController');
    Route::resource('shortlist', 'ShortlistResourceController');
});

// Guard routes for request
Route::prefix('{guard}/profile')->group(function () {

    Route::patch('request/actions/{action}', 'RequestActionsController');
    Route::patch('request/action/{request}/{action}', 'RequestActionController');
    Route::resource('request', 'RequestResourceController');
});



// Public routes for profile
Route::get('profiles/', 'ProfilePublicController@index');
Route::get('profile/{slug?}', 'ProfilePublicController@show');
