<?php

// Web routes  for profile.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for profile

Route::prefix('{guard}/profile')->group(function () {


    Route::get('/action/{profile}/{user}', 'ProfileActionController@get')
        ->name('profile.profile.action');
    Route::post('/action/{profile}/{user}', 'ProfileActionController@post');

});


// Workflow routes for visit

Route::prefix('{guard}/visit')->group(function () {


    Route::get('/action/{visit}/{user}', 'VisitActionController@get')
        ->name('profile.visit.action');
    Route::post('/action/{visit}/{user}', 'VisitActionController@post');

});


// Workflow routes for shortlist

Route::prefix('{guard}/shortlist')->group(function () {


    Route::get('/action/{shortlist}/{user}', 'ShortlistActionController@get')
        ->name('profile.shortlist.action');
    Route::post('/action/{shortlist}/{user}', 'ShortlistActionController@post');

});


// Workflow routes for request

Route::prefix('{guard}/request')->group(function () {


    Route::get('/action/{request}/{user}', 'RequestActionController@get')
        ->name('profile.request.action');
    Route::post('/action/{request}/{user}', 'RequestActionController@post');

});

