<?php

namespace Litematrimony\Profile\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litepie\Actions\Traits\LogsActions;
use Litepie\Notification\Traits\SendNotification;
use Litematrimony\Profile\Models\Request;


class RequestAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litematrimony.profile.request';
    protected $eventClass = \Litematrimony\Profile\Events\RequestAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Request $request, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $request;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Request $request, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $request = $request->create($attributes);
        return $request;
    }

    public function update(Request $request, array $request)
    {
        $attributes = $request;
        $request->update($attributes);
        return $request;
    }

    public function destroy(Request $request, array $request)
    {
        $request->delete();
        return $request;
    }

    public function copy(Request $request, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $request = $request->replicate();
            $request->created_at = Carbon::now();
            $request->save();
            return $request;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $request->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $request;
    }


}
