<?php

namespace Litematrimony\Profile\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litematrimony\Profile\Http\Requests\ShortlistActionsRequest;
use Litematrimony\Profile\Models\ShortlistActions;

/**
 * Admin web controller class.
 */
class ShortlistActionsController extends BaseController
{

    /**
     * Action controller function for shortlist.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(ShortlistActionsRequest $request, $action)
    {
        try {
            $shortlist = ShortlistActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('profile::shortlist.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('profile/shortlist/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('profile/shortlist/' . $action))
                ->redirect();
        }
    }
}
