<?php

namespace Litematrimony\Profile\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litematrimony\Profile\Http\Requests\VisitActionsRequest;
use Litematrimony\Profile\Models\VisitActions;

/**
 * Admin web controller class.
 */
class VisitActionsController extends BaseController
{

    /**
     * Action controller function for visit.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(VisitActionsRequest $request, $action)
    {
        try {
            $visit = VisitActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('profile::visit.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('profile/visit/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('profile/visit/' . $action))
                ->redirect();
        }
    }
}
