<?php

namespace Litematrimony\Profile\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait ProfileExim
{

    /**
     * Determine if the given user can approve the given profile.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function import(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('profile.profile.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given profile.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function export(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('profile.profile.export')) {
            return true;
        }

        return false;
    }
}
