<?php

namespace Litematrimony\Profile\Policies;

use Litematrimony\Profile\Models\Request;
use Litepie\User\Interfaces\UserPolicyInterface;

trait RequestAction
{

    /**
     * Determine if the given user can approve the given request.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Request $request)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.request.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Request $request) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.request.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Request $request)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.request.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given request.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Request $request)
    {


        if ($authUser->canDo('profile.request.action.delete')) {
            return true;
        }

        return false;
    }


}
