<?php

namespace Litematrimony\Profile\Policies;

use Litematrimony\Profile\Models\Shortlist;
use Litepie\User\Interfaces\UserPolicyInterface;

trait ShortlistAction
{

    /**
     * Determine if the given user can approve the given shortlist.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Shortlist $shortlist)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.shortlist.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given shortlist.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Shortlist $shortlist) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.shortlist.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given shortlist.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Shortlist $shortlist)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.shortlist.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given shortlist.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Shortlist $shortlist)
    {


        if ($authUser->canDo('profile.shortlist.action.delete')) {
            return true;
        }

        return false;
    }


}
