<?php

namespace Litematrimony\Profile\Policies;

use Litematrimony\Profile\Models\Visit;
use Litepie\User\Interfaces\UserPolicyInterface;

trait VisitAction
{

    /**
     * Determine if the given user can approve the given visit.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Visit $visit)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.visit.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given visit.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Visit $visit) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.visit.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given visit.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Visit $visit)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('profile.visit.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given visit.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Visit $visit)
    {


        if ($authUser->canDo('profile.visit.action.delete')) {
            return true;
        }

        return false;
    }


}
